%define sfincb %{_datadir}/shellfu/include-bash
%define shellfu_req shellfu >= 0.10.4, shellfu < 0.11
%define saturnin_req shellfu-bash-saturnin >= 0.4.10, shellfu-bash-saturnin < 0.5

Name:           __MKIT_PROJ_PKGNAME__
Version:        __MKIT_PROJ_VERSION__
Release:        1%{?dist}
Summary:        __MKIT_PROJ_NAME__ - __MKIT_PROJ_TAGLINE__
URL:            __MKIT_PROJ_VCS_BROWSER__
License:        GPLv2
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  %saturnin_req
BuildRequires:  %shellfu_req

Requires:   %shellfu_req
Requires:   %saturnin_req
Requires:   shellfu-bash-saturnin_demo
%description
saturnin is Shellfu library that helps you easily build toolkit from
various scripts that you may have lying around.  Instead of having a
herd of untamed undocumented and hard-to-share scripts, with help of
saturnin you can easily create and package a meta-command with a set
of discoverable and maintainable sub-commands.

This package contains a demo meta-command built with saturnin; you can
also re-use the source as template for your new toolkit.

%package -n shellfu-bash-saturnin_demo
Summary: Shellfu/Bash modules for saturnin-demo
Requires: %saturnin_req
Requires: shellfu-bash
Requires: shellfu-bash-pretty
%description -n shellfu-bash-saturnin_demo
This sub-package contains Shellfu/Bash modules used by *saturnin-demo*.

%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=/usr

%install
%make_install PREFIX=/usr

%check
make test \
    PATH="%{buildroot}/%{_bindir}:$PATH" \
    SHELLFU_PATH="%{buildroot}/%{sfincb}"

%files
%config %{_sysconfdir}/bash_completion.d/%{name}.bash
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/ini.d
%dir %{_datadir}/%{name}/ini.d/main
%dir %{_libexecdir}/%{name}
%doc %{_docdir}/%{name}/README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/help
%{_datadir}/%{name}/ini.d/main/echo.ini
%{_libexecdir}/%{name}/%{name}-dump
%{_libexecdir}/%{name}/%{name}-echo
%{_libexecdir}/%{name}/%{name}-greet

%files -n shellfu-bash-saturnin_demo
%{sfincb}/saturnin_demo_greet.sh

%changelog

# specfile built with MKit __MKIT_SELF_VERSION__
